<?php
	class MoedaController extends MoedaModel {
		
		private $codigo;
		private $nome;
		private $simbolo;
		private $posicao;
		private $casaDecimal;

		public function __construct($codigo, $nome, $simbolo, $posicao, $casaDecimal){
			$this->codigo = $codigo;
			$this->nome = $nome;
			$this->simbolo = $simbolo;
			$this->posicao = $posicao;
			$this->casaDecimal = $casaDecimal;
		}

		public function createMoeda(){
			$result = $this->insertMoeda($this->codigo, $this->nome, $this->simbolo, $this->posicao, $this->casaDecimal);
			return $result;
		}

		public function updateMoeda($idMoeda){
			$result = $this->editMoeda($idMoeda, $this->codigo, $this->nome, $this->simbolo, $this->posicao, $this->casaDecimal);
			return $result;
		}

	}